.nav {
    min-width: 271px;
    position: absolute;
    z-index: 100;
    height: 100%;
    top: 63px;
    transform: translateX(-100%);
    transition: 0.3s ease;
    background-color: #ffffff;
    border-top: 1px solid #7cfc00;

    @media screen and @tablet-width {
        position: static;
        height: auto;
        transform: translateX(0);
        min-width: 151px;
        background-color: @bg-color-red;
        text-align: center;
        border: none;
        border-right: 1px solid rgb(199, 80, 114);
    }

    .menu--open & {
        transform: translateX(0);
    }

    &__items{
        margin: 0;
        list-style-type: none;
        padding: 0;

        @media screen and @tablet-width {
            padding: 76px 0 0;
        }


    }

    &__link {
        display: block;
        word-break: break-all;
        text-decoration: none;
        color: rgb(123, 123, 125);
        padding: 25px;
        font-size: 20px;
        @media screen and @tablet-width {
            color: @main-white;
            padding: 25px;
            font-size: 18px;  
        }
        .icon {
            font-size: 21px;
            padding-right: 22px;
            &::before {
                color: rgb(123, 123, 125);
            }
            @media screen and @tablet-width {
                display: block;
                font-size: 32px;
                padding: 0;
                padding-bottom: 12px;
                &::before {
                    color: #ffffff;
                }
            }
            
        }
        &--active {
            @media screen and @tablet-width {
                background-color: #ff7ca1 ;
                color: #d90f8b;
                .icon {
                    &::before {
                        color: #d90f8b;
                    }
                } 
            } 
        }

    }
}




  